Subject: Re: Turbo beaver...hopefully with pictures this time.
From: <[email-masked]>
To: "Steve Bamford ARC" <[email-masked]>
Date: Fri, 13 Apr 2007 07:43:21 -0700

----- Original Message ----- 
  From: Steve Bamford ARC 
  To: Chris Parsons 
  Sent: Monday, April 02, 2007 2:19 PM
  Subject: Re: Turbo beaver...hopefully with pictures this time.

  Steve Bamford
  Aircraft Resource Center
  http://www.aircraftresourcecenter.com

  Live like there is no tomorrow;
  Love like you've never been hurt.
  Work like you don't need the money.
  Dance like nobody's watching.
  Sing like nobody's listening.
  Live like it's Heaven on Earth.
    ----- Original Message ----- 
    From: Chris Parsons 
    To: [email-masked] 
    Sent: Friday, March 16, 2007 9:00 AM
    Subject: Turbo beaver...hopefully with pictures this time.

----------------------------------------------------------------------------

    Gallery Template #05

    Hobbycraft Canada 1/48 Scale (Turbo) Beaver 

    by "Chris Parsons"
    --------------------

          Steve Bamford will insert full sized version of photo 01.jpg here  

    First of all, thanks to those who encouraged me to submit my Turbo Otter conversion. Then, thanks to those of you who sent me the kind words upon seeing it published on ARC. Well, I'm back. This time it's another De havilland Canada product. My rendition of C-FOEF. I apprenticed as a AME. while working with this airplane at Athabaska Airways, but enough of that. You can find pictures of this plane by Googling it's reg. (C-FOEF) and it's ultimate fate...I built the kit pretty much out of the box...well, no, I guess I didn't. I used the airframe from the wings back except for the fin,rudder and ventral stabalizer. Everything in front of the wings is new also. I added some length to the foreward fuselage, this was required to maintain the c. of g. on the real conversion but it also had the added convenience of adding more doors, which I used to full advantage by building up a fairly complete interior. I did up seats, seat belts, extinguishers, instruments, etc, etc, as can be seen in photo's 4 and 5 (If I've submitted them in the right order.) After I had the lengthened fuselage roughed in I epoxied a block of pine to the nose and began the carving to get my turbo beaver nose. Once I had cut away everything that didn't look like a turbo beaver, I broke the nose off and did the silicon rubber and resin thing. I made the exhausts from squashed and bent aluminum tube, the spinner from a drop tank and propellor blades from the very very very old Cessna 180 kit. (which was another conversion to a skywagon 185...but later...maybe) 

    I built the floats as is, adding only the spray shields at the bows, water rudders, paddles, and some rigging.

    I changed the positioning of the front cabin doors, which seemed too low to me. Because these kits are moulded in clear plastic I had to paint it inside and out. To prevent it being translucent. I used Gunze acrylics and my homemade decal concoction on the model with the cheat lines in black foil. The real plane's flaperons would sag quite quickly after parking so mine did as well. Once again she's parked with the props in the full feathered position.

    Picture 6 shows my small fleet of Beavers CF-AEB (at the back) is a desert conversion with the carb. air intake moved to the upper right side of the cowl, and wing tip tanks, this one is still in service. C-FJKG (on the right) Lost in the bush in northern Saskatchewan early in the '70's. and C-FOEF on the left.

    Click on images below to see larger images

          Steve Bamford will insert a click-able smaller version of photo 03.jpg here.  Clicking on that photo will bring up the full sized version of photo 03.jpg 
         Steve Bamford will insert a click-able smaller version of photo 04.jpg here.  Clicking on that photo will bring up the full sized version of photo 04.jpg 
         Steve Bamford will insert a click-able smaller version of photo 05.jpg here.  Clicking on that photo will bring up the full sized version of photo 05.jpg 
         Steve Bamford will insert a click-able smaller version of photo 06.jpg here.  Clicking on that photo will bring up the full sized version of photo 06.jpg 

    You can add more text about your article here.

          Steve Bamford will insert full sized version of photo 02.jpg here  

    Thank's for the oportunity to present my models, I hope they meet approval.

    Chris.